Package org.silverpeas.mobile.client.common.file

## Class FileMgr.FileBase

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - org.silverpeas.mobile.client.common.file.FileMgr.FileBase

- Direct Known Subclasses:
    `FileMgr.FileReader`, `FileMgr.FileWriter`
  Enclosing class:
    FileMgr

      public static class FileMgr.FileBase
      extends com.google.gwt.core.client.JavaScriptObject

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FileBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abort()` |
    `FileMgr.FileError` | `getError()` |
    `String` | `getFileName()` |
    `protected int` | `getReadyStateNative()` |
    `String` | `getResult()` |
    `void` | `onAbort​(FileMgr.EventCallback callback)` |
    `void` | `onError​(FileMgr.EventCallback callback)` |
    `void` | `onProgress​(FileMgr.EventCallback callback)` |

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBase

          protected FileBase()

  - ### Method Detail

    - #### getReadyStateNative

          protected final int getReadyStateNative()

    - #### getFileName

          public final String getFileName()

    - #### getResult

          public final String getResult()

    - #### getError

          public final FileMgr.FileError getError()

    - #### onProgress

          public final void onProgress​(FileMgr.EventCallback callback)

    - #### onAbort

          public final void onAbort​(FileMgr.EventCallback callback)

    - #### onError

          public final void onError​(FileMgr.EventCallback callback)

    - #### abort

          public final void abort()